%define name    kvpnc
%define version 0.9.3
%define rel     1
%define release %mkrel %rel
%define Summary KDE frontend to various vpn clients

Summary:        %{Summary}
Name:           %{name}
Version:        %{version}
Release:        %{release}
License: 	GPLv2+
Group: 		Graphical desktop/KDE
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source: 	http://download.gna.org/kvpnc/kvpnc-%{version}-kde4.tar.bz2
URL: 		http://home.gna.org/kvpnc/en/index.html
BuildRequires:	desktop-file-utils
BuildRequires: 	kdelibs4-devel
BuildRequires:  libgcrypt-devel
Requires: 	usermode-consoleonly
Requires: 	kvpnc-backend

%description
KVpnc is a KDE frontend for for various vpn clients.
It supports Cisco VPN (vpnc) and IPSec (FreeS/WAN, racoon).
Vpnc is a replacement for the cisco VPN client and its used 
as client for the cisco3000 VPN Concentrator, FreeS/WAN (OpenS/WAN) 
is a IPSec client for Linux 2.4.x and racoon is a IPSec client 
for Linux 2.6.x and *BSD.

%files -f %{name}.lang
%defattr(0755,root,root,0755)
%{_kde_bindir}/%{name}
%{_kde_datadir}/applications/kde4/kvpnc.desktop
%{_kde_datadir}/apps/kvpnc
%{_kde_datadir}/icons/*/*/apps/*.png
%config(noreplace) %{_sysconfdir}/pam.d/%{name}

#--------------------------------------------------------------------

%prep
%setup -q -n kvpnc-%{version}-kde4

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

%find_lang %{name} --with-html

### pam entry
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
cat > $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/%{name} <<EOF
auth       sufficient   pam_rootok.so
auth       include	system-auth
session    optional     pam_xauth.so
account    required     pam_permit.so
EOF

%clean
rm -rf %buildroot


%changelog
* Wed Sep 02 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.3-1mdv2010.0
+ Revision: 425479
- update to new version 0.9.3

* Sat Aug 01 2009 Funda Wang <fundawang@mandriva.org> 0.9.2-1mdv2010.0
+ Revision: 405947
- new version 0.9.2

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Use Qt4/KDE4 package layout
    - Remove useless macros

* Sun Dec 21 2008 Funda Wang <fundawang@mandriva.org> 0.9.1-1mdv2009.1
+ Revision: 317046
- new version 0.9.1 final

* Fri Jul 04 2008 Funda Wang <fundawang@mandriva.org> 0.9.1-0.rc1.2mdv2009.0
+ Revision: 231508
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Jun 03 2008 Funda Wang <fundawang@mandriva.org> 0.9.1-0.rc1.1mdv2009.0
+ Revision: 214652
- New version 0.9.1-rc1 ( kde4 version !! )

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag

* Wed Dec 26 2007 Funda Wang <fundawang@mandriva.org> 0.9.0-1mdv2008.1
+ Revision: 137856
- New version 0.9.0

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu May 03 2007 Laurent Montel <lmontel@mandriva.org> 0.8.9-1mdv2008.0
+ Revision: 20866
- 0.8.9


* Wed Feb 14 2007 Laurent Montel <lmontel@mandriva.com> 0.8.8-1mdv2007.0
+ Revision: 120750
- 0.8.8

* Wed Dec 13 2006 Laurent Montel <lmontel@mandriva.com> 0.8.7-1mdv2007.1
+ Revision: 96178
- 0.8.7

  + Lenny Cartier <lenny@mandriva.com>
    - Import kvpnc

* Tue Sep 26 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.6-1
- New version

* Mon Jul 24 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.5.1-3mdv2007.0
- Fix for new PAM

* Mon Jun 19 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.5.1-2mdv2007.0
- Rebuild to regenerate menu

* Sun May 21 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.5.1-1
- 0.8.5.1

* Fri May 19 2006 Lenny Cartier <lenny@mandriva.com> 0.8.5-1mdk
- 0.8.5

* Thu May 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.4-4mdk
- Remove redundant BuildRequires

* Wed May 10 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.4-3mdk
- Fix BuildRequires

* Tue May 09 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.4-2
- Rebuild to generate category

* Wed Apr 12 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.4-1
- 0.8.4

* Sun Mar 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.3-1mdk
- New release 0.8.3

* Sat Jan 07 2006 Anssi Hannula <anssi@mandriva.org> 0.8.2.1-2mdk
- fix x86_64 build

* Tue Dec 27 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.2.1-1
- 0.8.2.1

* Sun Dec 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.2-2mdk
- Fix BuildRequires

* Sun Dec 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.2-1mdk
- New release 0.8.2
- Drop patch 2 : Merged Upstream

* Tue Oct 11 2005 Daouda LO <daouda@mandriva.com> 0.8-2mdk
- fix crash on startup

* Wed Oct 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8-1mdk
- New release 0.8
- fix file section

* Sat Jul 09 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.2-2
- REbuild

* Thu Jul 07 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.2-1
- 0.7.2

* Fri Jun 17 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7-1
- 0.7

* Tue Jun 07 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7-0.rc1.1
- 0.7rc1

* Tue Apr 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.1-2mdk
- Fix build for amd64

* Sat Apr 02 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.1-1mdk
- 0.6.1

* Fri Mar 11 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-2mdk
- Reupload

* Mon Feb 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-1mdk
- 0.6

* Wed Dec 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.1-1mdk
- 0.5.1

* Wed Dec 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-4mdk
- Add patch2: fix crash in configure settings

* Wed Dec 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-3mdk
- Fix spec file
- Add debug flag
- Add enable-final flag
- Fix pam entry
- Now necessary consolehelper stuff which broke all kvpnc

* Sun Dec 26 2004 Couriousous <couriousous@mandrake.org> 0.5-2mdk
- Add consolehelper stuff as kvpnc requires to run as root
- Add Requires kvpnc-backend
  Thank misc for all the explications

* Sun Dec 26 2004 Couriousous <couriousous@mandrake.org> 0.5-1mdk
- 0.5
- Remove vpnc require
- Update description
- Fix menu entry

* Wed Jun 30 2004 Nick Brown <nickbroon@blueyonder.co.uk> 0.3-1mdk
- First Mandrake release

